
// search for courses

doctype html
html
  head
    title="Courses"
    link(rel="stylesheet", href="../stylesheets/style.css")

  body
    form(method="get", action="/")
      input(type="submit", value="Back")

    h1= title
    form(method="POST", action="/courses/search")
      input(type="hidden", name="_method", value="PUT")
      p
        input(type="search", name="name" placeholder="Course Name" autofocus required)
        input(type="number", name="semester" placeholder="Level" min="1" max="4")
        select(name="level")
          option(value="none")
          option(value="BSc") BSc
          option(value="MSc") MSc
        select(name="program")
          option(value="none")
          each val in programs
            option(value=val) #{val}
        input(type="submit", value="Search")

    div#results

    script(src="../javascripts/pagination.js")
    script.
      var c = !{JSON.stringify(courses)} 
      // data needed for pagination
      var p = {current: 0, total: c.length, amount: 10} 
      var pobject = new Pagination(p, c)
